Iceweasel 4 in Debian Wheezy

Dopo il rilascio di firefox 4 ho voluto fare l’upgrade su wheezy, mantenendo però fiducia a Iceweasel.

La versione 4 è presente da qualche settimana nelle repository experimental, infatti ricordo che avevo preferito tornare alla 3.5 di wheezy per non fare l’upgrade dalla 3.6 alla 4.

I primi test la vedono stabile, per ora neppure un crash nelle brevi e salutari prove sul web.

con un abile pinning pesco un pò da sid e un pò da experiemntal.

Passiamo alla fase di installazione:

# aptitude -t experimental install iceweasel

ci verranno fatte diverse proposte, quella che ho ritenuto più giusta è stata questa :

Accettare questa soluzione? [Y/n/q/?] n
Le seguenti azioni permetteranno di soddisfare queste dipendenze:
Installare i seguenti pacchetti:
1)     libdrm-nouveau1a [2.4.23-0.0 (testing)]
2)     libegl1-mesa [7.10-4 (unstable)]
3)     libegl1-mesa-drivers [7.10-4 (unstable)]
4)     libxcb-xfixes0 [1.7-2 (testing, unstable)]
Aggiornare i seguenti pacchetti:
5)     iceweasel-l10n-it [1:3.5.16+debian-1 (now, testing, unstable) -> 1:4.0~rc1+debian-2 (experimental)]
6)     libcairo2 [1.8.10-6 (now, testing) -> 1.10.2-4 (unstable)]
7)     libpixman-1-0 [0.16.4-1 (now, testing) -> 0.21.6-1 (experimental)]
Accettare questa soluzione? [Y/n/q/?] y
I seguenti pacchetti NUOVI (NEW) saranno installati:
libdrm-nouveau1a{a} libegl1-mesa{a} libegl1-mesa-drivers{a} libevent-1.4-2{a} libmozjs4d{a}
libxcb-xfixes0{a} xulrunner-2.0{a}
I seguenti pacchetti saranno RIMOSSI:
libxcb-render-util0{u}
I seguenti pacchetti saranno aggiornati:
iceweasel iceweasel-l10n-it libcairo2 libpixman-1-0
4 pacchetti aggiornati, 7 installati, 1 da rimuovere e 164 non aggiornati.
È necessario prelevare 16,5 MB di archivi. Dopo l'estrazione, verranno occupati 32,4 MB.
Continuare? [Y/n/?]

Alla fine tutto è stato eseguito senza errori.

Per ora me la godo così sperando che tra poco passi a wheezy direttamente.

be happy – do it with Debian rules

😉

 

2 risposte a “Iceweasel 4 in Debian Wheezy”

  1. purtroppo quella versione di libcairo2 porta diversi problemi: ad alcuni si sono rovinate le notify-osd, a me Gnome-do e …scoprilo.

    …non dirmi che tu sei immune perché usi KDE?

    Maledetto! Dammi il vecchio Kdeprintfax che ritorno su KDE.

    More+

  2. Si uso KDE e la cosa non era neppure da mettere in dubbio.
    Haimè il progresso ha un prezzo da pagare che tocca agli amici GTK.
    A dir la verità l’ho solo provato iceweasel 4 perchè Opera si integra molto meglio con le QT.

    Di Kdeprintfax non ho mai sentito la mancanza perchè non lo uso, abbi fede che con KDE 4.6.x forse qualcosa arriva…….

Rispondi